Bug 737257 - Can not download missing debuginfo pkgs.
Summary: Can not download missing debuginfo pkgs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 16
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Toman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 736518 737242
TreeView+ depends on / blocked
 
Reported: 2011-09-10 11:04 UTC by Marek Michał Mazur
Modified: 2015-03-23 00:41 UTC (History)
11 users (show)

Fixed In Version: abrt-2.0.4.981-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 19:40:36 UTC


Attachments (Terms of Use)

Description Marek Michał Mazur 2011-09-10 11:04:36 UTC
Description of problem:
When I want to report a bug and generate backtrace using local gdb abrt asks me if I want to download missing debuginfo files. When I select 'Yes' or 'No' abrt prints information that ,,Download canceled by user`` and provides shitty report.

Version-Release number of selected component (if applicable):
2.0.4-2.f16

How reproducible:
You must firstly cause a bug that abrt will catch. I suggest using empathy that is stable like a teenager. And trick won't work if u have debuginfo pkgs installed.

Steps to Reproduce:
1. Run empathy and wait till fails.
2. Select Local GDB.
3. There is no diffrence between 'Yes' and 'No'.
  
Actual results:
,,Download canceled by user``

Expected results:
,,Downloading stupid debuginfo files``

Additional info:
I've used empathy only for example. This bug is not connected in any way with empathy. Bug occurs also with gnome-shell package and... any package that fails.

Comment 1 Marek Michał Mazur 2011-09-12 21:49:58 UTC
I think that I've found problem...
When using abrt-cli there is a question 'Do you want to download missing blah, blah, blah'. There are two options in english - yN. In polish it is tN and abrt-cli doesn't recognize t as yes answer. As I guess abrt is only graphical interface for abrt-cli it may be a problem if abrt is translated.

Comment 2 Marek Michał Mazur 2011-09-12 22:02:19 UTC
OK, now I'm sure.

If you want to check if problem occurs try:

# LC_ALL=pl_PL; export LC_ALL; abrt-gui

But if u try:

# LC_ALL=C; export LC_ALL; abrt-gui

problem will not occur.

The same problem exist in abrt-cli.

Comment 3 Stefan Friesel 2011-09-12 22:08:28 UTC
Confirmed with de_DE locale, LC_ALL=C abrt-gui works

Comment 4 Marek Michał Mazur 2011-09-13 22:31:13 UTC
I suggest to check diffrences between F15 and F16a versions. F15's abrt works fine with every locale.

Comment 5 Jiri Moskovcak 2011-09-26 06:58:39 UTC
abrt-2.0.4.981-1.fc16 should fix it. Does anyone care for betatest?

$ yum update abrt --enablerepo=updates-testing

or download it from:

http://koji.fedoraproject.org/koji/buildinfo?buildID=265090

Comment 6 Fedora Update System 2011-10-05 08:58:46 UTC
abrt-2.0.4.981-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-13691

Comment 7 Fedora Update System 2011-10-09 19:40:36 UTC
abrt-2.0.4.981-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.